Subject: Re: bug#40653: 28.0.50; (fset 'yes-or-no-p 'y-or-n-p) has no effect in native-comp branch

From: Eli Zaretskii <[email-masked]>
Date: Thu, 16 Apr 2020 11:18:10 +0300

> From: Andrey Orst <[email-masked]>
> Date: Thu, 16 Apr 2020 10:59:12 +0300
> 
> Call `emacs -q` do `M-x ansi-term RET` try to kill buffer - a prompt
> with `yes` or `no` will be provided. Cancel and call `M-: (fset
> 'yes-or-no-p 'y-or-n-p) RET`, and try to kill ansi-term buffer
> again. Prompt will still ask to input `yes` or `no` instead of `y` or
> `n`. Works in master branch of Emacs run with `-q`.

I'm not sure I understand the issue.  The last sentence seems to say
this works as expected on the master branch?  That is, the prompt does
ask to input 'y' or 'n', right?  Because that's what I see with
today's master.